import request from '@/utils/request'
import { URL } from '@/config'

export function getList(params) {
  return request({
    url: URL.shop.base.contract.type.getList,

    method: 'get',
    params,
  })
}

export function doEdit(data) {
  return request({
    url: URL.shop.base.contract.type.doEdit,

    method: 'post',
    data,
  })
}

export function doDelete(data) {
  return request({
    url: URL.shop.base.contract.type.doDelete,

    method: 'post',
    data,
  })
}

export function List(params) {
  return request({
    url: URL.shop.base.contract.type.List,

    method: 'get',
    params,
  })
}
